""" Function manglers for math functions in C++ """

from dune.perftool.generation import function_mangler

from loopy import CallMangleInfo


@function_mangler
def dune_math_manglers(kernel, name, arg_dtypes):
    if name == "exp":
        return CallMangleInfo("std::exp",
                              arg_dtypes,
                              arg_dtypes,
                              )

    if name == "sqrt":
        return CallMangleInfo("std::sqrt",
                              arg_dtypes,
                              arg_dtypes,
                              )
